Skip to main content

Request Parameters

[GET]
 {{baseUrl}}api/v1/webhook/fetch

Headers

HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Response
{
  "entity": [
    {
      "app_id": "61e6bef823664a003647505f",
      "endpoint": "https://webhook.site/ec43b51e-eca7-42f0-b794-fb4f7b8c89d0",
      "environment": "live",
      "service": "sms",
      "confirmation_status": "DELIVERED",
      "date_created": "2022-01-18T14:31:36.810231+01:00",
      "date_updated": "2022-01-18T14:31:36.810319+01:00"
    },
    {
      "app_id": "61e6bef823664a003647505f",
      "endpoint": "https://webhook.site/ec43b51e-eca7-42f0-b794-fb4f7b8c89d0",
      "environment": "sandbox",
      "service": "sms",
      "confirmation_status": "DELIVERED",
      "date_created": "2022-01-18T14:22:22.398813+01:00",
      "date_updated": "2022-01-18T14:22:22.398857+01:00"
    }
  ]
}

Response Fields

FieldTypeDescription
entityarrayList of webhook subscriptions
entity[].app_idstringYour application ID
entity[].endpointstringThe callback URL receiving webhook events
entity[].environmentstringEnvironment for the webhook (e.g., β€œlive”, β€œsandbox”)
entity[].servicestringService type the webhook is subscribed to (e.g., β€œsms”, β€œkyc_widget”)
entity[].confirmation_statusstringDelivery status of the last webhook event (e.g., β€œDELIVERED”)
entity[].date_createdstringTimestamp when the webhook was created (ISO 8601)
entity[].date_updatedstringTimestamp when the webhook was last updated (ISO 8601)